
#define CELL char

size_t get_move_mass(CELL State)
{
	char s = State & MASK_MOVE;
	size_t result = 0;
	while(s>0)
	{
		result += s&1;
		s >>= 1;
	}
	return result;
}

size_t get_rest_mass(CELL State)
{
	return (State>>4)*2;
}

size_t get_mass(CELL State)
{
	return get_move_mass(State) + get_rest_mass(State);
}
