/*
 * Processor.h
 *
 *  Created on: Feb 3, 2013
 *      Author: perepelkin
 */

#ifndef PROCESSOR_H_
#define PROCESSOR_H_

#include "Field.h"
#include <map>
#include <vector>

class Processor
{
public:
	virtual ~Processor(){}

	virtual void process(const Field& source, Field& destination, int iter, int thread_rank=0, size_t threads_count=1)=0;
};

#endif /* PROCESSOR_H_ */
