/*
 * Rectangle.h
 *
 *  Created on: Feb 4, 2013
 *      Author: perepelkin
 */

#ifndef RECTANGLE_H_
#define RECTANGLE_H_

#include <stddef.h>

struct Rectangle
{
	unsigned int Left, Top;
	size_t Width, Height;

	Rectangle() { Left = Top = Width = Height = 0; }
	Rectangle(unsigned int left, unsigned int top, size_t width, size_t height)
	{ Left = left; Top = top; Width = width; Height = height; }

	unsigned int getLeft() const { return Left; }
	unsigned int getTop() const { return Top; }
	unsigned int getRight() const { return Left + Width; }
	unsigned int getBottom() const { return Top + Height; }
};

#endif /* RECTANGLE_H_ */
