#ifndef AVERFIELD_H_
#define AVERFIELD_H_

#include "Field.h"
#include "Rectangle.h"

class AverField
{
	float *Averaged;
	Rectangle Area;
public:
	~AverField(){ delete [] Averaged; }
	AverField(const Field&, float(*convert)(const Cell&), size_t avg_radius, Rectangle area);
	const float at(unsigned int col, unsigned int row) { return Averaged[col-Area.Left + (row-Area.Top)*Area.Width]; }
};

#endif
