/*
 * BoundaryProcessor.h
 *
 *  Created on: Feb 4, 2013
 *      Author: perepelkin
 */

#ifndef BOUNDARYPROCESSOR_H_
#define BOUNDARYPROCESSOR_H_

#include "Processor.h"
#include "Rectangle.h"

class BoundaryProcessor: public Processor
{
	Rectangle Area;
public:
	BoundaryProcessor(Rectangle area) { Area = area; }

	virtual void process(const Field& src, Field& dest, int, int, size_t);

private:
	static Cell bounce_rule(const Cell&);
};

#endif /* BOUNDARYPROCESSOR_H_ */
